curl --request POST \
--url https://api.rigbox.dev/api/apps/{id}/log-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_ref": "<string>",
"source_type": "<string>",
"display_name": "<string>",
"is_primary": true
}
'{
"source": {
"app_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_primary": true,
"source_ref": "<string>",
"source_type": "systemd_unit",
"updated_at": "2023-11-07T05:31:56Z",
"display_name": "<string>"
}
}Register a new log source for an app.
curl --request POST \
--url https://api.rigbox.dev/api/apps/{id}/log-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_ref": "<string>",
"source_type": "<string>",
"display_name": "<string>",
"is_primary": true
}
'{
"source": {
"app_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_primary": true,
"source_ref": "<string>",
"source_type": "systemd_unit",
"updated_at": "2023-11-07T05:31:56Z",
"display_name": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
App ID
Log source created
Show child attributes